@echo off
REM PLEASE DO NOT CHANGE THE OUTPUT FOLDER IN MODEL_CONFIG.PY !
REM PLEASE CHANGE THE FOLLOWING 3 LINES TO THE RIGHT DIRECTORIES, THANKS!
set scirun_directory="C:\Users\moritz\Desktop\New Folder\SCIRun 4.7"
set model_config_file_directory="C:\Users\moritz\Desktop\New Folder"
set python_binary_directory="C:\Python26"

REM YOU SHOULD NOT NEED TO CHANGE ANYTHING BELOW THIS LINE
set PATH=%PATH%;%python_binary_directory%
set mesher_directory="\bin\FEMesher"
set scirun_mesher_directory=%scirun_directory%%mesher_directory%
set scirun_mesher_directory=%scirun_mesher_directory:"=%

cd /d %scirun_mesher_directory%
pushd %scirun_mesher_directory%

REM Go TROUGH ALL 8 STAGES WITHOUT ANY VISUAL OUTPUT
python BuildMesh.py -d %model_config_file_directory%\model_config.py


REM MATERIAL SURFACES
cd /d %model_config_file_directory%
pushd %model_config_file_directory%
set tmp="%scirun_mesher_directory%\MaterialBoundaries.srn"
set tmp="%tmp:"=%"
set COMPUTE_MATERIAL_BOUNDARY_OUTPUT=output/isosurface-all.ts.fld
set COMPUTE_MATERIAL_BOUNDARY_OUTPUT=%COMPUTE_MATERIAL_BOUNDARY_OUTPUT:"=%
echo "STAGE 2 - Material Surfaces"
%scirun_directory%\bin\scirun --nosplash -noeai -e %tmp%

REM MEDIAL AXIS
set tmp="%scirun_mesher_directory%\MedialAxisAndBoundaries.srn"
set tmp="%tmp:"=%"
set COMPUTE_MATERIAL_BOUNDARY_OUTPUT=output/isosurface-all.ts.fld
set COMPUTE_MATERIAL_BOUNDARY_OUTPUT=%COMPUTE_MATERIAL_BOUNDARY_OUTPUT:"=%
set COMPUTE_MATERIAL_MEDIAL_AXIS_OUTPUT=output/ma-all.pc.fld
set COMPUTE_MATERIAL_MEDIAL_AXIS_OUTPUT=%COMPUTE_MATERIAL_MEDIAL_AXIS_OUTPUT:"=%
echo "STAGE 3 - MEDIAL AXIS"
%scirun_directory%\bin\scirun --nosplash -noeai -e %tmp%

REM SIZING FIELD
set tmp="%scirun_mesher_directory%\SizingFieldMedialAxisAndBoundaries.srn"
set tmp="%tmp:"=%"
set COMPUTE_SIZING_FIELD_OUTPUT=output/mat1_sf.nrrd
set COMPUTE_SIZING_FIELD_OUTPUT=%COMPUTE_SIZING_FIELD_OUTPUT:"=%
set COMPUTE_MATERIAL_MEDIAL_AXIS_OUTPUT_SOLO=output/mat1_ma.pc.fld
set COMPUTE_MATERIAL_MEDIAL_AXIS_OUTPUT_SOLO=%COMPUTE_MATERIAL_MEDIAL_AXIS_OUTPUT_SOLO:"=%
set COMPUTE_MATERIAL_BOUNDARY_OUTPUT_SOLO=output/mat1_isosurface.ts.fld
set COMPUTE_MATERIAL_BOUNDARY_OUTPUT_SOLO=%COMPUTE_MATERIAL_BOUNDARY_OUTPUT_SOLO:"=%
echo "STAGE 4 - SIZING FIELD"
%scirun_directory%\bin\scirun --nosplash -noeai -e %tmp%

REM PARTICLE SYSTEM
set tmp="%scirun_mesher_directory%\DistributedParticles.srn"
set tmp="%tmp:"=%"
set DISTRIBUTE_PARTICLES_PC_OUTPUT=output/junctions/particle-all.pc.fld
set DISTRIBUTE_PARTICLES_PC_OUTPUT=%DISTRIBUTE_PARTICLES_PC_OUTPUT:"=%
set DISTRIBUTE_PARTICLES_PCV_OUTPUT=output/junctions/particle-all.pcv.fld
set DISTRIBUTE_PARTICLES_PCV_OUTPUT=%DISTRIBUTE_PARTICLES_PCV_OUTPUT:"=%
echo "STAGE 6 - PARTICLE SYSTEM"
%scirun_directory%\bin\scirun --nosplash -noeai -e %tmp%

REM VOLUME MESH
set tmp="%scirun_mesher_directory%\VolumetricMesh.srn"
set tmp="%tmp:"=%"
set BUILD_VOLUMETRIC_MESH_OUTPUT=output/junctions/particle-union.tets-labeled_transformed.fld
set BUILD_VOLUMETRIC_MESH_OUTPUT=%BUILD_VOLUMETRIC_MESH_OUTPUT:"=%
echo "STAGE 8 - VOLUME MESH"
%scirun_directory%\bin\scirun --nosplash -noeai -e %tmp%